## petsc 3.7.3.dfsg1

=== debian/changelog ===
petsc (3.7.3.dfsg1-2) unstable; urgency=medium

  * Release PETSc 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:47:22 +0800

petsc (3.7.3.dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Jul 2016 10:56:06 +0800

petsc (3.7.2.dfsg1-1exp3) experimental; urgency=medium

  * Build with -fPIC explicitly forced into build flags.
    To facilitate build on ppc64el, arm64, armhf.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Jul 2016 21:19:44 +0800

petsc (3.7.2.dfsg1-1exp2) experimental; urgency=medium

  * Configure --with-pic=1 to ensure -fPIC flags are used for building
    with shared libraries.

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Jul 2016 20:33:12 +0800

petsc (3.7.2.dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Fri, 01 Jul 2016 21:45:23 +0800

petsc (3.7.1.dfsg1-1) experimental; urgency=medium

  * New upstream version. New ABI 3.7
  * Temporarily disable SuperLU support: 
      PETSc 3.7 requires SuperLU 5.2.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 May 2016 01:18:11 +0800

petsc (3.6.4.dfsg1-3) unstable; urgency=high

  * Set tight PETSc dev package dependency on MPI version. Closes: #828987.

 -- Drew Parsons <dparsons@debian.org>  Fri, 01 Jul 2016 15:59:30 +0800

petsc (3.6.4.dfsg1-2) unstable; urgency=medium

  * Use alternatives to set default versions for soname (3.6) in
    /usr/lib/petscdir/, including real and complex versions.
  * PETSc 3.6 requires a SuperLU version less than 5.2.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Jun 2016 22:37:20 +0800

petsc (3.6.4.dfsg1-1) unstable; urgency=low

  * New upstream version.
    - drop patch install_python_RDict_upstream_5a4fee... 
      (already applied in 3.6.4)
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 May 2016 10:19:20 +0800

petsc (3.6.3.dfsg2-6) unstable; urgency=medium

  * don't build explicit soname links to libraries, they are handled
    by alternatives 

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 May 2016 22:20:08 +0800

petsc (3.6.3.dfsg2-5) unstable; urgency=medium

  * New patch test_mpi_conditional_bug816101 disables test of ex19 on
    2 MPI processes on mipsel and powerpc, working around intermittent
    timeouts. Closes: #816101.

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Apr 2016 13:09:18 +0800

petsc (3.6.3.dfsg2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBS on hurd by conditionally include mach/std_types.h (Closes: #822214)

 -- Tobias Frost <tobi@debian.org>  Fri, 22 Apr 2016 07:18:20 +0200

petsc (3.6.3.dfsg2-4) unstable; urgency=medium

  * Update debug alternatives at configure stage.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2016 13:07:03 +0800

petsc (3.6.3.dfsg2-3) unstable; urgency=medium

  * Drop old /usr/lib/libpetsc.so alternatives in debug packages.

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Apr 2016 20:35:37 +0800

petsc (3.6.3.dfsg2-2) unstable; urgency=medium

  * complex dev package should Suggest: complex (not real) debug package
  * Drop legacy alternative link to /usr/lib/libpetsc.so. It just
    makes trouble with ldconfig.
  * Remove alternatives when dev packages are removed. Closes: #820080.

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Apr 2016 21:55:25 +0800

petsc (3.6.3.dfsg2-1) unstable; urgency=medium

  * Add sundry copyright notices to debian/copyright.
  * DFSG2: Barry Smith reserves all copyright to the Apple
    examples, implying redistribution is not permitted. These files
    are therefore excluded from the Debian source package (blacklisted
    in debian/copyright).
  * libpetsc3.6-dev is a dummy package depending on the latest patch
    version (libpetsc3.6.3-dev).  Different patch versions may be
    installed in parallel (e.g. 3.6.2 and 3.6.3), but they share the
    same soname (3.6). The preferred version for libpetsc.so.3.6 is
    controlled (by the specific patch version) using alternatives. 
    Client packages should normally depend on libpetsc3.6-dev (or
    petsc-dev) instead of libpetsc3.6.3-dev.
    Likewise for libpetsc-complex-3.6-dev.

 -- Drew Parsons <dparsons@debian.org>  Fri, 01 Apr 2016 01:20:15 +0800

petsc (3.6.3.dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: only print the configure log of failed builds.
    Closes: #811257. 
  * Build doc package from files installed for the debug package.
    Closes: #817165.
  * Patch install_python_RDict_upstream_5a4fee... fixes installation
    during package build (patch from upstream git commit 5a4feee).
  * libpetsc-real.so and libpetsc-complex.so (dev packages) handled by
    alternatives. 
  * Standards-Version: 3.9.7

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Mar 2016 22:57:27 +0800
