=== debian/control ===
Source: petsc
Section: devel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), quilt, python (>= 2.2), gfortran, 
 autotools-dev, pkg-config, dh-python,
 mpi-default-dev (>= 1.0.2),
 libblas-dev, liblapack-dev,
 libsuitesparse-dev (>= 1:4.2.1),
 libspooles-dev (>= 2.2-6), libhypre-dev (>= 2.4.0), libptscotch-dev,
 libhdf5-mpi-dev (>= 1.8.8),
 libblacs-mpi-dev, libscalapack-mpi-dev, libmumps-dev,
 libfftw3-dev, libfftw3-mpi-dev, libssl-dev
Vcs-Git: git://anonscm.debian.org/debian-science/packages/petsc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/petsc.git
Homepage: http://www.mcs.anl.gov/petsc

Package: libpetsc3.7-dev
Multi-Arch: same
Architecture: linux-any hurd-any
Section: libdevel
Depends: libpetsc3.7.3-dev, ${misc:Depends}, ${python:Depends}
Provides: petsc3.7-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This is a dummy package which depends on the latest version of PETSc 3.7 to 
 provide the development files needed for building applications.
 .
 The library soname is 3.7 (without specifying the patch version), so if you 
 want to build against PETSc 3.7 then you probably want to use this package.

Package: libpetsc3.7.3-dev
Multi-Arch: same
Architecture: linux-any hurd-any
Section: libdevel
Depends: libpetsc3.7.3 (= ${binary:Version}), ${MPI:Depends}, libsuitesparse-dev, libsuperlu-dev, libspooles-dev,
 libhypre-dev (>= 2.0.0.dfsg-7), libptscotch-dev, libblacs-mpi-dev, libscalapack-mpi-dev,
 libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev, libgfortran-5-dev,
 ${misc:Depends}, ${python:Depends}
Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (<< 5.2),
 tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
Suggests: petsc-dev (= ${binary:Version}), libpetsc3.7.3-dbg (= ${binary:Version}), petsc3.7.3-doc (= ${binary:Version}), libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications 
 using PETSc 3.7.3.

Package: petsc-dev
Architecture: all
Section: libdevel
Depends: libpetsc3.7-dev, ${misc:Depends}
Suggests: libpetsc3.7.3-dbg
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This metapackage will always depend on the most recent version of petscX-dev
 (X=version), so if you install it then you will get upgrades automatically.

Package: libpetsc3.7.3
Architecture: linux-any hurd-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Description: Shared libraries for version 3.7 of PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains version 3.7.3 of the PETSc 3.7 shared library.
 .
 It provides soname libpetsc-real3.7

Package: libpetsc3.7.3-dbg
Architecture: linux-any hurd-any
Multi-Arch: same
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: libpetsc3.7.3-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
 ${python:Depends}
Recommends: tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
Provides: petsc3.7-dbg
Description: Debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files and debugging libraries for
 debugging applications using PETSc 3.7.3.
 .
 Libraries include unstripped symbols, but this package is also built with 
 internal PETSc debugging activated.

Package: petsc3.7.3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libpetsc3.7.3-dev (= ${binary:Version}), illuminator-doc
Description: Documentation and examples for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains documentation for developing with PETSc 3.7.3.

Package: libpetsc-complex-3.7-dev
Multi-Arch: same
Architecture: linux-any hurd-any
Section: libdevel
Depends: libpetsc-complex-3.7.3-dev, ${misc:Depends}, ${python:Depends}
Provides: petsc-complex-3.7-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This is a dummy package which depends on the latest version of PETSc 3.7 
 to provide the development files needed for building applications with support 
 for complex numbers.
 .
 The library soname is 3.7 (without specifying the patch version), so if you 
 want to build against PETSc 3.7 with support for complex numbers then you 
 probably want to use this package.

Package: libpetsc-complex-3.7.3-dev
Architecture: linux-any hurd-any
Multi-Arch: same
Section: libdevel
Depends: libpetsc-complex-3.7.3 (= ${binary:Version}), ${MPI:Depends}, libsuitesparse-dev, libsuperlu-dev, libspooles-dev,
 libhypre-dev (>= 2.0.0.dfsg-7), libptscotch-dev, libblacs-mpi-dev, libscalapack-mpi-dev,
 libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev, libgfortran-5-dev,
 ${misc:Depends}, ${python:Depends}
Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (<< 5.2),
 tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
Suggests: petsc-dev (= ${binary:Version}), libpetsc-complex-3.7.3-dbg (= ${binary:Version}), petsc3.7.3-doc (= ${binary:Version}), libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.7.3 with support for complex numbers.
 .
 This deactivates support for HYPRE.

Package: libpetsc-complex-3.7.3
Architecture: linux-any hurd-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
Description: Shared libraries for version 3.7 of PETSc with Complex Numbers
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains version 3.7.3 of the PETSc 3.7 shared library,
 supporting complex numbers.
 .
 It provides soname libpetsc-complex3.7

Package: libpetsc-complex-3.7.3-dbg
Architecture: linux-any hurd-any
Multi-Arch: same
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: libpetsc-complex-3.7.3-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
 ${python:Depends}
Recommends: tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
Provides: petsc-complex-3.7-dbg
Description: Debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files and debugging libraries for
 debugging applications using PETSc 3.7.3 with complex number support.
 .
 Libraries include unstripped symbols, but this package is also built with 
 internal PETSc debugging activated.
