## petsc 3.7.5+dfsg1

=== debian/changelog ===
petsc (3.7.5+dfsg1-4) unstable; urgency=medium

  * Don't duplicate -dev dependencies. -lhdf5 and -lsuperlu are
    invoked in PETSc.pc, so we Depend on their dev packages, we don't
    simply Recommend them.
  * Move petsc3.7 and petsc3.7-real alternatives handling from
    libpetsc3.7-dev to libpetsc3.7.5-dev. Similarly petsc3.7-complex. 
    Otherwise alternatives for older patch versions are left unowned. 
    Closes: #852514.

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Feb 2017 05:03:51 +0800

petsc (3.7.5+dfsg1-3) unstable; urgency=medium

  * Update libgfortran-5-dev dependency to gfortran to ensure 
    the default gfortran (currently 6) is linked to libpetsc*3.7.5-dev.
    Closes: #852011.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Jan 2017 12:13:55 +0800

petsc (3.7.5+dfsg1-2) unstable; urgency=medium

  * upload PETSc 3.7.5 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jan 2017 21:24:40 +0800

petsc (3.7.5+dfsg1-1) experimental; urgency=medium

  * New upstream version (patch release).
    - MPI checks during testing now fail in amd64 chroots so
      refresh debian/patches/test_mpi_conditional_bug816101
      to always disable the 2-processor test of ex19.

 -- Drew Parsons <dparsons@debian.org>  Wed, 11 Jan 2017 00:33:58 +0800

petsc (3.7.4+dfsg1-9) unstable; urgency=medium

  * Binary -dev packages Depends: libhdf5-mpi-dev. 
    Needed since -lhdf5 is now added to PETSc pkgconfig flags. 
    Closes: #802706.

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Jan 2017 13:10:01 +0800

petsc (3.7.4+dfsg1-8) unstable; urgency=medium

  * update for multiarch MPI. Closes: #848784.
  * update build-time test for multiarch HDF5
    - test for both mpi and serial versions of HDF5, with preference
      for mpi. 

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Dec 2016 21:54:51 +0800

petsc (3.7.4+dfsg1-7) unstable; urgency=medium

  * link include/petsc/finclude docs to headers

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Nov 2016 22:28:10 +0800

petsc (3.7.4+dfsg1-6) unstable; urgency=medium

  * debian/rules: only manipulate header docs when the doc package is
    being built.

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Nov 2016 21:05:58 +0800

petsc (3.7.4+dfsg1-5) unstable; urgency=medium

  * Update build-ssl1.1.patch to upstream patch ecd1d7b.
  * doc package is Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Nov 2016 18:46:28 +0800

petsc (3.7.4+dfsg1-4) unstable; urgency=medium

  * Version Build-Depends: libhypre-dev (>= 2.11.1-3).
    Earlier hypre versions contained internal superlu header files,
    which confuses petsc when trying to use libsuperlu-dev.
  * build-ssl1.1.patch enables build with SSL 1.1.
    (SSLv23_method was redefined to TLS_method in SSL 1.1)

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Nov 2016 20:21:40 +0800

petsc (3.7.4+dfsg1-3) unstable; urgency=medium

  * Update configuration for HYPRE 2.11.1
    (headers now in /usr/include/hypre)

 -- Drew Parsons <dparsons@debian.org>  Thu, 03 Nov 2016 22:55:55 +0800

petsc (3.7.4+dfsg1-2) unstable; urgency=medium

  * Handle shlibs dependencies via virtual libpetsc3.7 and
    libpetsc-complex-3.7 packages. The .Z in 3.7.Z is not used in
    sonames, but we need .Z in binary packages because of the upstream
    directory structure.
    When different libpetsc3.7.Z are installed, the preferred version
    is controlled by alternatives for libpetsc3.7 (likewise for
    libpetsc_complex.so.3.7).
  * Multiarch: place PETSc.pc alternative in /usr/lib/<arch>/pkgconfig

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Oct 2016 22:28:54 +0800

petsc (3.7.4+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Mark the Debian DFSG version with '+dfsg' rather than '.dfsg' to 
    make the distinction with the raw upstream version more clear.

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Oct 2016 16:06:53 +0800

petsc (3.7.3.dfsg1-3) unstable; urgency=medium

  * Reinstate build on kfreebsd (it now passes build-time tests).
  * Reinstate support for superlu (>=5.2).

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Sep 2016 21:50:40 +0800
