=== debian/control ===
--- 
+++ 
@@ -9,19 +9,20 @@
  mpi-default-dev (>= 1.0.2),
  libblas-dev, liblapack-dev,
  libsuitesparse-dev (>= 1:4.2.1),
- libspooles-dev (>= 2.2-6), libhypre-dev (>= 2.4.0), libptscotch-dev,
+ libspooles-dev (>= 2.2-6), libhypre-dev (>= 2.11.1-3), libptscotch-dev,
  libhdf5-mpi-dev (>= 1.8.8),
  libblacs-mpi-dev, libscalapack-mpi-dev, libmumps-dev,
- libfftw3-dev, libfftw3-mpi-dev, libssl-dev
+ libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
+ libsuperlu-dev (>= 5.2)
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/petsc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/petsc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/petsc.git/
 Homepage: http://www.mcs.anl.gov/petsc
 
 Package: libpetsc3.7-dev
 Multi-Arch: same
-Architecture: linux-any hurd-any
-Section: libdevel
-Depends: libpetsc3.7.3-dev, ${misc:Depends}, ${python:Depends}
+Architecture: any
+Section: libdevel
+Depends: libpetsc3.7.5-dev, ${misc:Depends}, ${python:Depends}
 Provides: petsc3.7-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
@@ -37,19 +38,19 @@
  The library soname is 3.7 (without specifying the patch version), so if you 
  want to build against PETSc 3.7 then you probably want to use this package.
 
-Package: libpetsc3.7.3-dev
-Multi-Arch: same
-Architecture: linux-any hurd-any
-Section: libdevel
-Depends: libpetsc3.7.3 (= ${binary:Version}), ${MPI:Depends}, libsuitesparse-dev, libsuperlu-dev, libspooles-dev,
+Package: libpetsc3.7.5-dev
+Multi-Arch: same
+Architecture: any
+Section: libdevel
+Depends: libpetsc3.7.5 (= ${binary:Version}), ${MPI:Depends}, libsuitesparse-dev, libspooles-dev,
  libhypre-dev (>= 2.0.0.dfsg-7), libptscotch-dev, libblacs-mpi-dev, libscalapack-mpi-dev,
- libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev, libgfortran-5-dev,
+ libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev, gfortran,
+ libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (>= 5.2),
  ${misc:Depends}, ${python:Depends}
 Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (<< 5.2),
- tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev (= ${binary:Version}), libpetsc3.7.3-dbg (= ${binary:Version}), petsc3.7.3-doc (= ${binary:Version}), libluminate-dev
+Recommends: tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev (= ${binary:Version}), libpetsc3.7.5-dbg (= ${binary:Version}), petsc3.7.5-doc (= ${binary:Version}), libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -59,13 +60,13 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications 
- using PETSc 3.7.3.
+ using PETSc 3.7.5.
 
 Package: petsc-dev
 Architecture: all
 Section: libdevel
 Depends: libpetsc3.7-dev, ${misc:Depends}
-Suggests: libpetsc3.7.3-dbg
+Suggests: libpetsc3.7.5-dbg
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -77,10 +78,11 @@
  This metapackage will always depend on the most recent version of petscX-dev
  (X=version), so if you install it then you will get upgrades automatically.
 
-Package: libpetsc3.7.3
-Architecture: linux-any hurd-any
+Package: libpetsc3.7.5
+Architecture: any
 Multi-Arch: same
 Section: libs
+Provides: libpetsc3.7
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
@@ -93,16 +95,16 @@
  scientific applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package contains version 3.7.3 of the PETSc 3.7 shared library.
+ This package contains version 3.7.5 of the PETSc 3.7 shared library.
  .
  It provides soname libpetsc-real3.7
 
-Package: libpetsc3.7.3-dbg
-Architecture: linux-any hurd-any
+Package: libpetsc3.7.5-dbg
+Architecture: any
 Multi-Arch: same
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpetsc3.7.3-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+Depends: libpetsc3.7.5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
  ${python:Depends}
 Recommends: tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
 Provides: petsc3.7-dbg
@@ -115,16 +117,17 @@
  features of the PETSc libraries.
  .
  This package provides the development files and debugging libraries for
- debugging applications using PETSc 3.7.3.
+ debugging applications using PETSc 3.7.5.
  .
  Libraries include unstripped symbols, but this package is also built with 
  internal PETSc debugging activated.
 
-Package: petsc3.7.3-doc
+Package: petsc3.7.5-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libpetsc3.7.3-dev (= ${binary:Version}), illuminator-doc
+Suggests: libpetsc3.7.5-dev (= ${binary:Version}), illuminator-doc
 Description: Documentation and examples for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -133,13 +136,13 @@
  scientific applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package contains documentation for developing with PETSc 3.7.3.
+ This package contains documentation for developing with PETSc 3.7.5.
 
 Package: libpetsc-complex-3.7-dev
 Multi-Arch: same
-Architecture: linux-any hurd-any
-Section: libdevel
-Depends: libpetsc-complex-3.7.3-dev, ${misc:Depends}, ${python:Depends}
+Architecture: any
+Section: libdevel
+Depends: libpetsc-complex-3.7.5-dev, ${misc:Depends}, ${python:Depends}
 Provides: petsc-complex-3.7-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
@@ -157,19 +160,19 @@
  want to build against PETSc 3.7 with support for complex numbers then you 
  probably want to use this package.
 
-Package: libpetsc-complex-3.7.3-dev
-Architecture: linux-any hurd-any
-Multi-Arch: same
-Section: libdevel
-Depends: libpetsc-complex-3.7.3 (= ${binary:Version}), ${MPI:Depends}, libsuitesparse-dev, libsuperlu-dev, libspooles-dev,
+Package: libpetsc-complex-3.7.5-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libpetsc-complex-3.7.5 (= ${binary:Version}), ${MPI:Depends}, libsuitesparse-dev, libspooles-dev,
  libhypre-dev (>= 2.0.0.dfsg-7), libptscotch-dev, libblacs-mpi-dev, libscalapack-mpi-dev,
- libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev, libgfortran-5-dev,
+ libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev, gfortran,
+ libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (>= 5.2),
  ${misc:Depends}, ${python:Depends}
 Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (<< 5.2),
- tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev (= ${binary:Version}), libpetsc-complex-3.7.3-dbg (= ${binary:Version}), petsc3.7.3-doc (= ${binary:Version}), libluminate-dev
+Recommends: tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev (= ${binary:Version}), libpetsc-complex-3.7.5-dbg (= ${binary:Version}), petsc3.7.5-doc (= ${binary:Version}), libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -179,14 +182,15 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.7.3 with support for complex numbers.
+ using PETSc 3.7.5 with support for complex numbers.
  .
  This deactivates support for HYPRE.
 
-Package: libpetsc-complex-3.7.3
-Architecture: linux-any hurd-any
+Package: libpetsc-complex-3.7.5
+Architecture: any
 Multi-Arch: same
 Section: libs
+Provides: libpetsc-complex-3.7
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
@@ -199,17 +203,17 @@
  scientific applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package contains version 3.7.3 of the PETSc 3.7 shared library,
+ This package contains version 3.7.5 of the PETSc 3.7 shared library,
  supporting complex numbers.
  .
  It provides soname libpetsc-complex3.7
 
-Package: libpetsc-complex-3.7.3-dbg
-Architecture: linux-any hurd-any
+Package: libpetsc-complex-3.7.5-dbg
+Architecture: any
 Multi-Arch: same
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpetsc-complex-3.7.3-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
+Depends: libpetsc-complex-3.7.5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
  ${python:Depends}
 Recommends: tcsh | csh | c-shell, ksh | mksh | pdksh | zsh
 Provides: petsc-complex-3.7-dbg
@@ -222,7 +226,7 @@
  features of the PETSc libraries.
  .
  This package provides the development files and debugging libraries for
- debugging applications using PETSc 3.7.3 with complex number support.
+ debugging applications using PETSc 3.7.5 with complex number support.
  .
  Libraries include unstripped symbols, but this package is also built with 
  internal PETSc debugging activated.
