=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 # available at build time.
 include /usr/share/mpi-default-dev/debian_defaults
 PETSC_MPI=$(ARCH_DEFAULT_MPI_IMPL)
-PETSC_MPI_DIR=/usr/lib/$(PETSC_MPI)
+PETSC_MPI_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/$(PETSC_MPI)
 
 # PETSc has a tight dependency on the MPI version:
 # the release/patch version of the current MPI must match the one that
@@ -49,7 +49,9 @@
 # facilitate build-time testing (invoking OpenMPI) when building in a chroot (pbuilder or sbuild)
 export OMPI_MCA_plm_rsh_agent=/bin/false
 
-PETSC_HDF5_FLAGS=$(shell if [ -e /usr/lib/libhdf5.so ]; then echo "--with-hdf5=1 --with-hdf5-dir=/usr"; fi)
+HDF5_SERIAL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
+HDF5_MPI_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL)
+PETSC_HDF5_FLAGS=$(shell if [ -e $(HDF5_MPI_DIR)/libhdf5.so ]; then echo "--with-hdf5=1 --with-hdf5-dir=$(HDF5_MPI_DIR)"; else if [ -e $(HDF5_SERIAL_DIR)/libhdf5.so ]; then echo "--with-hdf5=1 --with-hdf5-dir=$(HDF5_SERIAL_DIR)"; fi; fi)
 
 PETSC_BUILD_DIR=$(PETSC_ARCH)-real
 PETSC_DEBUG_BUILD_DIR=$(PETSC_ARCH)-real-debug
@@ -58,7 +60,7 @@
 
 # PETSC_VERSION is used for the package names, library sonames, and
 # /usr/lib/petscdir subdirectory names.
-PETSC_VERSION=3.7.3$(PETSC_EXT)
+PETSC_VERSION=3.7.5$(PETSC_EXT)
 # use only major.minor as general soname (rather than major.minor.patch.build)
 PETSC_SONAME_VERSION=$(shell echo $(PETSC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
@@ -106,9 +108,13 @@
 	  --with-spooles=1 --with-spooles-include=/usr/include/spooles --with-spooles-lib=-lspooles \
 	  --with-ptscotch=1 --with-ptscotch-include=/usr/include/scotch --with-ptscotch-lib="-lptesmumps -lptscotch -lptscotcherr" \
 	  --with-fftw=1 --with-fftw-include=[] --with-fftw-lib="-lfftw3 -lfftw3_mpi" \
-	  --with-superlu=0 \
+	  --with-superlu=1 --with-superlu-include=/usr/include/superlu --with-superlu-lib=-lsuperlu \
 	  $(PETSC_HDF5_FLAGS) --CXX_LINKER_FLAGS="-Wl,--no-as-needed"
 
+
+# hypre is only supported with real numbers, not complex
+HYPRE_CONFIG=--with-hypre=1 --with-hypre-include=/usr/include/hypre \
+	  --with-hypre-lib="-lHYPRE_IJ_mv -lHYPRE_parcsr_ls -lHYPRE_sstruct_ls -lHYPRE_sstruct_mv -lHYPRE_struct_ls -lHYPRE_struct_mv -lHYPRE_utilities"
 
 # main packaging script based on dh7 syntax
 %:
@@ -138,8 +144,9 @@
 	if dh_auto_configure -p$(PETSC_DEBUG_PACKAGE) -p$(PETSC_DOC_PACKAGE) --  \
           --with-debugging=1  \
           --shared-library-extension=_real \
-          --with-hypre=1 --with-hypre-dir=/usr --with-clanguage=C++ \
+          --with-clanguage=C++ \
           $(CONFIGURATION_OPTIONS)  \
+          $(HYPRE_CONFIG)  \
           --prefix=$(PETSC_DIR_DEBUG_PREFIX)  \
           PETSC_DIR=$(CURDIR) --PETSC_ARCH=$(PETSC_DEBUG_BUILD_DIR) \
             CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
@@ -154,20 +161,7 @@
 	if dh_auto_configure -p$(PETSC_VERSIONED_DEV_PACKAGE) --  \
           --with-debugging=0  \
           --shared-library-extension=_real \
-          --with-hypre=1 --with-hypre-dir=/usr --with-clanguage=C++ \
+          --with-clanguage=C++ \
           $(CONFIGURATION_OPTIONS)  \
+          $(HYPRE_CONFIG)  \
           --prefix=$(PETSC_DIR_PREFIX)  \
-          PETSC_DIR=$(CURDIR) --PETSC_ARCH=$(PETSC_BUILD_DIR) \
-            CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
-            FCFLAGS="$(FCFLAGS)"  FFLAGS="$(FFLAGS)"  \
-            CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" MAKEFLAGS="$(MAKEFLAGS)"; then \
-	  : ; \
-	else \
-	  cat configure.log; \
-	  false; \
-	fi
-	@echo ===================== $(PETSC_COMPLEX_VERSIONED_DEV_PACKAGE) =====================
-	if dh_auto_configure -p$(PETSC_COMPLEX_VERSIONED_DEV_PACKAGE) --  \
-          --with-debugging=0  \
-          --with-scalar-type=complex --shared-library-extension=_complex \
-          $(CONFIGURATION_OPTIONS)  \
